uncaught exception: Declaration of PluginComponentLibraryBase::initHooks() should be compatible with plugin_base::initHooks($hookManager) (errno: 2048) in /home/project-web/php-polling/htdocs/cgi/includes/PluginComponentLibraryBase.php at line #584Declaration of PluginComponentLibraryBase::initHooks() should be compatible with plugin_base::initHooks($hookManager)

in file: /home/project-web/php-polling/htdocs/cgi/includes/PluginComponentLibraryBase.php line 584
#0 /home/project-web/php-polling/htdocs/plugins/baseComponents/index.php(13): _hx_error_handler(2048, 'Declaration of ...', '/home/project-w...', 584, Array) #1 /home/project-web/php-polling/htdocs/plugins/baseComponents/index.php(13): require_once() #2 /home/project-web/php-polling/htdocs/cgi/includes/plugin_manager.php(74): require_once('/home/project-w...') #3 /home/project-web/php-polling/htdocs/cgi/includes/plugin_manager.php(53): plugin_manager->createPlugin('baseComponents', Array) #4 /home/project-web/php-polling/htdocs/framework/hx/org/silex/serverApi/PluginManager.class.php(11): plugin_manager->createActivePlugins(Array, Object(HookManager)) #5 /home/project-web/php-polling/htdocs/framework/hx/org/silex/html/SilexIndex.class.php(110): org_silex_serverApi_PluginManager->createActivePlugins(Object(Hash), Object(org_silex_serverApi_HookManager)) #6 /home/project-web/php-polling/htdocs/index.php(9): org_silex_html_SilexIndex::main() #7 {main}